## GimpColorNotebook GimpColorNotebook |

## Functions

GtkWidget * | gimp_color_notebook_set_has_page ()

## Style Properties

gint | tab-border | Read
GtkIconSize | tab-icon-size | Read

## Types and Values

| GimpColorNotebook

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpColorSelector
                                ╰── GimpColorNotebook

## Implemented Interfaces

GimpColorNotebook implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### gimp_color_notebook_set_has_page ()

    GtkWidget *
    gimp_color_notebook_set_has_page (GimpColorNotebook *notebook,
                                      GType page_type,
                                      gboolean has_page);

## Types and Values

### GimpColorNotebook

    typedef struct _GimpColorNotebook GimpColorNotebook;

## Style Property Details

### The `“tab-border”` style property

      “tab-border”               gint

Width of the border around the tab contents.

Flags: Read

Allowed values: >= 0

Default value: 0

### The `“tab-icon-size”` style property

      “tab-icon-size”            GtkIconSize

Size for icons displayed in the tab.

Flags: Read

Default value: GTK_ICON_SIZE_BUTTON